org.gjt.sp.jedit.visitors

## Class JEditVisitorAdapter

- java.lang.Object
- - org.gjt.sp.jedit.visitors.JEditVisitorAdapter

- All Implemented Interfaces:
    JEditVisitor
  Direct Known Subclasses:
    SaveCaretInfoVisitor

      public class JEditVisitorAdapter
      extends java.lang.Object
      implements JEditVisitor

  Default implementation of a jEditVisitor.
  Since:
    jEdit 4.3pre13

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JEditVisitorAdapter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `visit(EditPane editPane)` Visit an EditPane.
    `void` | `visit(JEditTextArea textArea)` Visit a JEditTextArea.
    `void` | `visit(View view)` Visit a view.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JEditVisitorAdapter

          public JEditVisitorAdapter()

  - ### Method Detail

    - #### visit

          public void visit(View view)

      Visit a view.
      Specified by:
        `visit` in interface `JEditVisitor`
      Parameters:
        `view` - the visited view

    - #### visit

          public void visit(EditPane editPane)

      Visit an EditPane.
      Specified by:
        `visit` in interface `JEditVisitor`
      Parameters:
        `editPane` - the visited edit pane

    - #### visit

          public void visit(JEditTextArea textArea)

      Visit a JEditTextArea.
      Specified by:
        `visit` in interface `JEditVisitor`
      Parameters:
        `textArea` - the visited textArea